Get Webhook
curl --request GET \
--url https://api.wirebox.sh/api/v1/webhooks/{id}import requests
url = "https://api.wirebox.sh/api/v1/webhooks/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.wirebox.sh/api/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"events": [
"message.received",
"message.delivered",
"message.bounced"
],
"agent_handle": "eva",
"auth_token": "bearer_secret_token_123",
"has_auth_token": true,
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}
Webhooks
Get Webhook
Retrieve configuration details for a specific webhook endpoint.
GET
/
api
/
v1
/
webhooks
/
{id}
Get Webhook
Path Parameters
string
required
The unique webhook ID (e.g.
whk_01J8DEF456GHI789).{
"id": "whk_01J8DEF456GHI789",
"url": "https://agent.example.com/api/webhooks",
"events": [
"message.received",
"message.delivered",
"message.bounced"
],
"agent_handle": "eva",
"auth_token": "bearer_secret_token_123",
"has_auth_token": true,
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z"
}